अपने पहचानकर्ता द्वारा किसी मौजूदा प्रक्रिया को पुनः प्राप्त करें। API contract के अनुसार, परिणाम प्रक्रिया के निर्माण पर ही समकालिक रूप से लौटा दिया जाता है — पुनः-क्वेरी, ऑडिटिंग और सहायता के लिए इस endpoint का उपयोग करें।
प्रक्रिया प्राप्त करने से पहले, हमारी webhook कॉन्फ़िगरेशन और fallback रणनीतियों की समीक्षा करें — यहाँ क्लिक करें.
Endpoint
| वातावरण | URL |
|---|---|
| Production | GET https://api.id.unico.app/processes/v1/{processId} |
| Sandbox | GET https://api.id.uat.unico.app/processes/v1/{processId} |
अनुरोध
| Header | मान |
|---|---|
Authorization | Bearer <access_token> |
APIKEY | प्रावधानित API key। |
| पैरामीटर | प्रकार | आवश्यक | विवरण |
|---|---|---|---|
processId | string (UUID) | हाँ | प्रक्रिया बनाएं द्वारा लौटाया गया प्रक्रिया पहचानकर्ता। |
उदाहरण
- cURL
- Node.js
curl -X GET https://api.id.unico.app/processes/v1/$PROCESS_ID \
-H "Authorization: Bearer $TOKEN" \
-H "APIKEY: $API_KEY"
import fetch from 'node-fetch';
const res = await fetch(
`https://api.id.unico.app/processes/v1/${processId}`,
{
headers: {
Authorization: `Bearer ${accessToken}`,
APIKEY: apiKey
}
}
);
const result = await res.json();
प्रतिक्रियाएं
Contract अद्वितीय है — idCloud.result फ़ील्ड में उपयोग की गई capabilities का समेकित निर्णय होता है।
Unico निष्पादित capabilities के परिणामों को एकल idCloud.result में समेकित करता है, जो आपके flow के अगले चरण को तय करने के लिए तैयार होता है — व्यक्तिगत परिणामों को व्यवस्थित करने की आवश्यकता के बिना।
{
"id": "80371b2a-3ac7-432e-866d-57fe37896ac6",
"status": 3,
"idCloud": {
"result": "approved"
}
}
| idCloud.result | Meaning | Recommended action |
|---|---|---|
| approved | Real person and validated identity. | Proceed with the flow. |
| denied | Identity not validated, liveness check failed, or extreme risk identified. | End the flow or redirect to an alternative flow. |
| critical-risk | Critical risk level identified. | End the flow or route to manual review. |
| high-risk | High risk level identified. | Route to manual review or an alternative flow. |
| retry | Insufficient capture or score to evaluate. | Ask the user for a new capture. |
| inconclusive | Not enough evidence for a verdict. | Route to manual review or an alternative flow. |
लौटाए गए मान आपकी APIKey में configured recipe पर निर्भर करते हैं। प्रत्येक recipe जो परिणाम मान लौटा सकती है, उसके लिए प्रवाह देखें।
इस endpoint का उपयोग कब करें
API contract परिणाम समकालिक रूप से लौटाता है, इसलिए अधिकांश integrations को इस endpoint की आवश्यकता नहीं होती। इसका उपयोग करें जब:
- आपने केवल
processIdसहेजा हो और बाद में पूर ा परिणाम प्राप्त करना हो (ऑडिट, सहायता)। - आपको संदेह हो कि मूल प्रतिक्रिया ट्रांसमिशन में खो गई थी (प्लेटफ़ॉर्म का काम पूरा होने के बाद नेटवर्क त्रुटि)।
- आप एक back-office टूल बना रहे हैं जो ऐतिहासिक प्रक्रियाओं की समीक्षा करता है।
त्रुटि कोड (Error Codes)
- 400 Bad Request
- 404 Not Found
- 403 Forbidden
- 410 Gone
- 429 Too Many Requests
- 500 Internal Server Error
| कोड | संदेश | विवरण |
|---|---|---|
20023 | O parâmetro processId não foi informado. | process id पैरामीटर अनु पस्थित है। |
20002 | O parâmetro APIKey não foi informado. | APIKEY पैरामीटर अनुरोध header से अनुपस्थित है। |
20001 | O parâmetro authtoken não foi informado. | integration token पैरामीटर अनुरोध header से अनुपस्थित है। |
| कोड | संदेश | विवरण |
|---|---|---|
50001 | O processo informado não foi encontrado. | प्रक्रिया डेटाबेस में मौजूद नहीं है। |
| कोड | संदेश | विवरण |
|---|---|---|
30017 | User does not have permission to perform this action. | अविधिमान्य JWT या इस ऑपरेशन को करने की अनुमति के बिना उपयोगकर्ता। |
10502 | O token informado está expirado. | उपयोग किया गया access-token समाप्त हो गया है। |
10501 | O token informado é inválido. | authentication token अमान्य है। |
10201 | O AppKey informado é inválido. | APIKEY पैरामीटर दर्ज नहीं किया गया या मौजूद नहीं है। |
प्रक्रिया मौजूद है लेकिन त्रुटि में समाप्त हुई। केवल id और status: 5 लौटाती है।
Rate limit reached. When your system receives an HTTP 429 error, you must implement mechanisms to prevent cascading failures and avoid worsening the restriction.
Best practices:
- Cool-down period (backoff): Immediately halt or throttle subsequent requests from your system. Do not continuously retry failed requests in a tight loop.
- Queueing & throttling: Buffer or queue outgoing requests on your end to control the traffic flow before re-sending them.
- Exponential backoff with jitter: When retrying, increase the waiting time exponentially between attempts (e.g., 1 s, 2 s, 4 s, 8 s) and add a small random delay ("jitter") to prevent a herd effect where all queued requests retry at the exact same millisecond.
Continuously hitting a rate-limited endpoint without backing off can prolong the restriction period and severely impact your system's operational throughput. Properly throttling requests on your side ensures a smoother, more resilient integration.
For default limits, increase requests and additional details, see Rate Limits.
| कोड | संदेश | विवरण |
|---|---|---|
99999 | Internal failure! Try again later | आंतरिक त्रुटि होने पर। |
प्रवाह
एक recipe capabilities (लाइवनेस, पहचान सत्यापन, जोखिम संकेत, दस्तावेज़...) का वह combination है जो आपके प्रोजेक्ट की APIKey में configured है। यह परिभाषित करता है कि Unico प्रत्येक प्रक्रिया में क्या निष्पादित करता है और परिणामों को एकल result में कैसे समेकित किया जाता है — आपको अपनी ओर से कुछ भी व्यवस्थित करने की आवश्यकता नहीं है।
Unico पूर्व-स्थापित recipes का एक catalog बनाए रखता है, जिनका नामकरण और version निर्धारण किया गया है (जैसे byunico-idlive-idunico-oneresponse-std)। कुछ केवल ब्राज़ील के लिए विशिष्ट हैं, जैसे कि वे जिनमें Score, Serpro, या आयु सत्यापन शामिल है।
capabilities का combination — आपके प्रोजेक्ट का flow — आपकी APIKey configuration में परिभाषित है। पूर्व-स्थापित recipes जाँचें या इसे अनुकूलित करने के लिए अपने Unico प्रोजेक्ट संपर्क से बात करें।